<?php
/*
 CLASE PARA LA GESTION DE CURSOS
*/
require_once "db.class.php";

class curso extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE CURSOS
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function curso(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar();$this->consulta("set names 'utf8'");
           $query = $this->consulta("select * from cursos");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function cursoss($inicio)
	{
                $data=array();
		//conexion a la base de datos
		$this->conectar();
                $query = $this->consulta("select * from cursos order by orden limit ".$inicio.",10");
               
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//Actualiza el cantidad de alumnos
			while ($fila = $this->fetch_assoc($query)){                            
                              $alumnos=$this->consulta("select grado, curso, estado from matriculas where grado='".$fila['grado']."' and curso='".$fila['codigo']."' and estado='A'");
                              $cantidad=$this->numero_de_filas($alumnos);
                              $this->consulta("update cursos set total_alumnos=".$cantidad." where grado='".$fila['grado']."' and codigo='".$fila['codigo']."'");
                        }

                        //se llenan los datos en un array

                        $query = $this->consulta("select * from cursos order by orden limit ".$inicio.",10");

			while ( $tsArray = $this->fetch_assoc($query) ){
				$data[] = $tsArray;
                        }
			      			
		}
                 return $data;

                $this->disconnect();
	}

}

?>
